# db2_commit

(PECL ibm_db2 >= 1.0.0)

db2_commit — Commits a transaction

### Description

db2_commit ( resource `$connection` ) : bool

Commits an in-progress transaction on the specified connection resource and begins a new transaction. PHP applications normally default to AUTOCOMMIT mode, so db2_commit() is not necessary unless AUTOCOMMIT has been turned off for the connection resource.

### Parameters

`connection`

  A valid database connection resource variable as returned from db2_connect() or db2_pconnect().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- db2_autocommit() - Returns or sets the AUTOCOMMIT state for a database connection
- db2_rollback() - Rolls back a transaction